文档章节

JTextArea怎样将文本域设置为透明/半透明

ACANX
 ACANX
发布于 2017/09/01 17:55
字数 67
阅读 42
收藏 0

JTextArea怎样将文本域设置为透明/半透明方法:

1、把JTextArea先设置为透明:

JTextArea.setOpaque(false);

2、如果JTextArea是放在JScrollPane里, 需要透明的话,还要这样:

scrollPane.setOpaque(false);
scrollPane.getViewport().setOpaque(false);

 

本文转载自:A

共有 人打赏支持
ACANX

ACANX

粉丝 1
博文 21
码字总数 7455
作品 0
武汉
程序员
小博老师解析Java核心技术 ——JSwing文本域和滚轴控件

[引言] 我们在学习Java编程的时候,如果需要开发客户端窗体类型的程序,可以使用JDK中的awt和swing库。本文开始小博老师就继续为大家演示Java窗体编程中的各类控件,今天主要讲解的是文本域和...

博为峰教研组
2016/12/19
3
0
Java eleven文本组件

一个应用程序所有输入功能的界面几乎都是由文本组件接收用户输入的。 1、文本框组件JTextField 用来显示或编辑一个文本 构造方法 说明 JTextField() 构造一个默认的文本框组件 JTextField(S...

DouDouLee
2016/03/11
3
0
java中JTextArea和JPanel的问题

最近写一个计算器小程序,将JTextArea放在JPanel里面之后,JTextArea不能设置文本了,如果不将JTextArea放在JPanel里面而是直接放在JFrame里面的话,JTextArea的大小可以改变。尝试了很多种方...

Hkmu
2012/07/24
3.3K
4
Java的JTextArea为什么在按Ctrl+H时会出现退格的情况?

比如下面这个简单的代码: import javax.swing.*; public class backspaceProblem { } 在文本域中输入文字后,按Ctrl+H会出现退格。已经排除了其他程序及IDE的干扰,问题就出在java自己身 上...

jien
2015/12/13
172
0
VC窗体透明而控件不透明以及Static文本背景透明方法

优点: 1.Dialog窗体完全透明。 2.窗体上的控件不透明、DC绘制的图形不透明。 3.拖动窗体上用DC绘制的图形可以移动窗体。 缺点: 1.窗体设置透明使用是掩码颜色,所以在窗体上用DC绘图的过程...

IMGTN
2012/06/04
0
2

没有更多内容

加载失败,请刷新页面

加载更多

TypeScript基础入门之高级类型的多态的 this类型

转发 TypeScript基础入门之高级类型的多态的 this类型 高级类型 多态的this类型 多态的this类型表示的是某个包含类或接口的子类型。 这被称做F-bounded多态性。 它能很容易的表现连贯接口间的...

durban
14分钟前
0
0
tomcat中的几种log catalina localhost

体会 catalina.out catalina.log 是tomcat的标准输出(stdout)和标准出错(stderr) cataliana.{yyyy-MM-dd}.log和localhost.{yyyy-MM-dd}.log 是通过logging.properties配置的tomcat自己运行的......

onedotdot
36分钟前
1
0
Oracle return exit continue

常在循环体中看到下面3种语句: return exit continue 举例说明 啥都没有 -- none begin for i in 1 .. 10 loop if i < 5 then dbms_output.put_line('i < 5, i = ' || to_char......

taadis
今天
3
0
JSONObject 转换时出错 InvocationTargetException

JSONObject 转换时出错java.lang.reflect.InvocationTargetException 一时看不出来是什么问题。 挺奇怪的。 百度参考了一下这个 网页的解决方案 说是类型不对,空? 仔细查看代码,果然是有一...

之渊
今天
3
0
no such module 'pop'问题

在github上 clone 了一个 swift 项目,编译时提示"no such module 'POP'"错误,查了一下居然是因为podfile中指定的最低版本是iOS 11.0,大于我测试手机的iOS版本10.3.3,将Podfile中的最低版...

yoyoso
今天
3
0

没有更多内容

加载失败,请刷新页面

加载更多

返回顶部
顶部